bigbluebutton-Github/bigbluebutton-html5/tests/puppeteer/run.sh
Mohamed Amine Ben Salah 11a82d1524
CI presettings: part 1 - set page.viewPort && export visual regressions testing media files (#11422)
* add viewPort to page.js

* clone and import media and visual regressions files to the right directories

* change repo link to official bbb-ci-test-resources.git

* remove execution of import-tests-ci-resources.sh from tests/puppeteer/run.sh

* updates the import directory of the ci testing files

* correct imported repo folder name
2021-02-26 12:49:52 -05:00

63 lines
1000 B
Bash
Executable File

#!/bin/bash -e
usage() {
set +x
cat 1>&2 <<HERE
BBB Health Check
OPTIONS:
-t <test name: webcamlayout/whiteboard/webcam/virtualizedlist/user/sharednotes/screenshare/presentation/polling/notifications/customparameters/chat/breakout/audio/all>
-u Print usage
HERE
}
err() {
echo "----";
echo ERROR: $@
echo "----";
}
main() {
export DEBIAN_FRONTEND=noninteractive
while builtin getopts "ut:" opt "${@}"; do
case $opt in
t)
TEST=$OPTARG
;;
u)
usage
exit 0
;;
:)
err "Missing option argument for -$OPTARG"
exit 1
;;
\?)
err "Invalid option: -$OPTARG" >&2
usage
;;
esac
done
if [ -z "$TEST" ]; then
err "No test provided";
usage
exit 1
fi
echo "Test is starting in 5 seconds..." && sleep 5;echo $Test " Test has started."
env $(cat tests/puppeteer/.env | xargs) jest $TEST.test.js --color --detectOpenHandles --forceExit
}
main "$@" || exit 1